//! Pre implemented games
#![deny(
    missing_copy_implementations,
    missing_debug_implementations,
    missing_docs,
    trivial_casts,
    trivial_numeric_casts,
    unused_extern_crates,
    const_err,
    deprecated,
    overflowing_literals,
    unreachable_patterns,
    unused_must_use,
    unused_mut,
    while_true
)]
#![warn(unreachable_pub, variant_size_differences)]
#[macro_use]
extern crate failure;
pub mod blackjack;
/// Cards used for the games
pub mod cards;
/// Coin toss game
pub mod coin_toss;
/// Deck of cards
pub mod deck;
/// Static deck of cards (use deck::Deck instead)
#[deprecated]
pub mod deck_of_cards;
pub mod rps;
/// Slot Machine
pub mod slot_machine;
